Acabamos de poner en marcha nuestro último servidor (el tercero cloud), para un cliente que necesitaba un dedicado que no se le fuera de precio. Como de costumbre, viene con el panel Parallels Plesk instalado, en su última versión (la 10). Después de actualizarlo, y de empezar a montar todo el sistema del cliente, veo que necesita como mínimo php 5.2 y plesk 10 viene con php 5.1.6…. hay que actualizar!

Hace tiempo, comenté como hacer esto con plesk 9 en este post, pero esto ha cambiado un poco, aunque sigue siendo igual de fácil!.

Vamos a seguir usando la ayuda de nuestros amigos de atomic usando sus repositorios para plesk. Tenemos más info aquí.

Ejecutamos en nuestro servidor:

wget -q -O - http://www.atomicorp.com/installers/atomic | sh

Esto nos actualizará los repositorios de nuestra máquina para usar también los de atomic, que siempre están mucho más actualizados que los del dichoso plesk. Depués, actualizamos

yum update

Esto puede tardar un rato, dependiendo de la máquina que tenga cada uno. A mí sólo me ha tardado un par de minutos!

Por último, simplemente reiniciamos apache

service httpd restart

… y listo!

A la fecha de escribir este post, los pasos descritos actualizan el php de nuestro servidor a la versión 5.3.6.